Subject: [tcpm] WG status on July 25, 2011

From: "SCHARF, Michael" <[email-masked]>
Date: Mon, 25 Jul 2011 23:19:36 +0200

Hello,

below is a snapshot of TCPM status from the chairs prior to the IETF 81
meeting. As usual, we may have made mistakes, so please correct us, if
needed.

We have an ongoing WGLC for draft-ietf-tcpm-rfc3782-bis, which hasn't
triggered any feedback so far. Please have a look at that draft.

Please also note that the authors of
draft-mathis-tcpm-proportional-rate-reduction and
draft-touch-tcpm-automatic-iw ask for WG adaption. The chairs plan to
ask for feedback on that in tomorrow's meeting.

Thanks!

Michael and David
(TCPM co-chairs)

Recent RFCs
===========

RFC 6093 - On the Implementation of the TCP Urgent Mechanism (January
2011)

RFC 6191 - Reducing the TIME-WAIT State Using TCP Timestamps (April
2011)

RFC 6247 - Moving the Undeployed TCP Extensions RFC1072, RFC1106,
RFC1110,
           RFC1145, RFC1146, RFC1379, RFC1644 and RFC1693 to Historic
Status 
           (May 2011)

RFC 6298 - Computing TCP's Retransmission Timer (June 2011)

WG Items Nearing RFC Publication
================================

Clarification of sender behavior in persist condition 
draft-ietf-tcpm-persist
Milestone Target: Informational
Status: Revised ID needed after IESG evaluation

WG Items in WGLC or being revised after WGLC
============================================

MSS Option
draft-ietf-tcpm-tcpmss
Milestone Target: Proposed Standard in July 2009
Status: Action with David Borman

1948bis
draft-ietf-tcpm-rfc1948bis
Milestone Target: Proposed Standard until September 2011
Status: WGLC completed
Action: Next step is PROTO writeup

The NewReno Modification to TCP's Fast Recovery Algorithm
draft-ietf-tcpm-rfc3782-bis
Milestone Target: Proposed Standard in April 2011
Status: Ongoing WGLC
Action: WGLC until August 5, 2011

Active WG Items
===============

1323bis
draft-ietf-tcpm-1323bis
Milestone Target: Proposed Standard in July 2009
Status: Needs revision
Action: Revise & WGLC (action with David Borman)

TCP Security
draft-ietf-tcpm-tcp-security
Milestone Target: BCP in August 2010
Status: Content needs work, draft expired
Action: Action with author to address review comments

SACK Entry / RFC 3517bis
draft-blanton-tcpm-3517bis
Milestone Target: Proposed Standard in October 2010
Status: Probably ready for WGLC
Action: WGLC soon?

Increasing the Initial Window
draft-ietf-tcpm-initcwnd
Milestone Target: August 2011 to determine intended status
                  September 2011 to publish document
Status: Under active discussion / review
Action: Determine intended status

Documents Under a Poll to Become WG Items
=========================================

Proportional Rate Reduction for TCP
draft-mathis-tcpm-proportional-rate-reduction
Status: Presented at IETF 80, discussion on the list
Action: WG adoption?

Automating the Initial Window in TCP
draft-touch-tcpm-automatic-iw
Status: Discussion on the list
Action: WG adoption?

Active Internet-Drafts
======================

draft-allman-tcpm-rto-consider

draft-cheng-tcpm-fastopen

draft-fairhurst-tcpm-newcwv

draft-nishida-tcpm-rescue-retransmission

draft-scheffenegger-tcpm-timestamp-negotiation

draft-yourtchenko-tcp-loic

(+ many expired Internet-Drafts)